#  python makecharts.py  kindle_template.pp3 
import sys
import os

template = open(sys.argv[1], 'r')
templatestring = ''.join(template.readlines())
template.close()

if len(sys.argv) > 2:
    prefix = sys.argv[2]
else:
    prefix = ""

def chart_around(ra_steps, dec):
    for chartnum in range(ra_steps):
        ra = chartnum * 24/ra_steps

        if dec > 0:
            newname = prefix + "chart_%02i_N%02i" % (ra, dec)
        else:
            newname = prefix + "chart_%02i_S%02i" % (ra, -1*dec)
        makechart(ra, dec, newname)

def makechart(ra, dec, newname):
    newstring = templatestring.replace('RA', '%2i' % ra)
    newstring = newstring.replace('R2', '%2i' % (ra - 3))
    if dec > 0:
        newstring = newstring.replace('D2', '%2i' % (dec - 30))
    else:
        newstring = newstring.replace('D2', '%2i' % (dec + 30))
    newstring = newstring.replace('DEC', '%2i' % dec)
    newstring = newstring.replace('NAME', newname)
    print newname
    
    newfile = open(newname+'.pp3', 'w')
    print >>newfile, newstring
    newfile.close()

    os.system('pp3 %s' % newname+'.pp3')

chart_around(6, 30)
chart_around(6, -30)

makechart(0, 90, prefix + 'chart_NCP')
makechart(0, -90, prefix + 'chart_SCP')

os.system('pstoimg --density=100 --flip=r90 ' + prefix +'chart_*.eps')
os.system('zip ' + prefix + 'charts.zip ' + prefix + 'chart_*.png')
os.system('pstoimg --density=100 ' + prefix + 'chart_*.eps')
